aboutsummaryrefslogtreecommitdiffstats
path: root/community/jruby/APKBUILD
diff options
context:
space:
mode:
authorJakub Jirutka <jakub@jirutka.cz>2017-03-05 22:33:52 +0100
committerJakub Jirutka <jakub@jirutka.cz>2017-03-05 22:34:23 +0100
commita7dbfead6f6a1cf2fe4e5a3b75b26c7bdd840f3a (patch)
tree5c96d418130d0aae10ebce996bbc2456cd1e3e97 /community/jruby/APKBUILD
parent91ecc291565acfd3993fa2312fa922fe905759eb (diff)
downloadaports-a7dbfead6f6a1cf2fe4e5a3b75b26c7bdd840f3a.tar.gz
aports-a7dbfead6f6a1cf2fe4e5a3b75b26c7bdd840f3a.tar.bz2
aports-a7dbfead6f6a1cf2fe4e5a3b75b26c7bdd840f3a.tar.xz
community/jruby: upgrade to 9.1.7.0
Diffstat (limited to 'community/jruby/APKBUILD')
-rw-r--r--community/jruby/APKBUILD72
1 files changed, 44 insertions, 28 deletions
diff --git a/community/jruby/APKBUILD b/community/jruby/APKBUILD
index 6e5e899cfc..9bd22f9466 100644
--- a/community/jruby/APKBUILD
+++ b/community/jruby/APKBUILD
@@ -1,20 +1,26 @@
# Contributor: Jakub Jirutka <jakub@jirutka.cz>
# Maintainer: Jakub Jirutka <jakub@jirutka.cz>
-# Note: This abuild excludes Truffle, because it's still experimental,
-# so it's probably not much usable for regular users.
pkgname=jruby
-pkgver=9.1.2.0
-pkgrel=1
+pkgver=9.1.7.0
+pkgrel=0
pkgdesc="An implementation of Ruby on the JVM"
url="http://jruby.org"
-# openjdk8 is currently built only for x86*
-arch="x86 x86_64"
+arch="noarch"
license="EPL GPL-2 LGPL-2.1 custom"
# libc6-compat: https://github.com/jnr/jnr-posix/issues/73
depends="$pkgname-libs java-jffi-native>=1.2 libc6-compat>=1.1.12-r5 openjdk8-jre-base"
makedepends="openjdk8 zip"
-subpackages="$pkgname-irb $pkgname-minitest $pkgname-rake $pkgname-rdoc
- $pkgname-readline $pkgname-testunit $pkgname-libs"
+subpackages="
+ $pkgname-did_you_mean
+ $pkgname-irb
+ $pkgname-minitest
+ $pkgname-net-telnet:net_telnet
+ $pkgname-power_assert
+ $pkgname-rake
+ $pkgname-rdoc
+ $pkgname-readline
+ $pkgname-test-unit:test_unit
+ $pkgname-libs"
# jruby (launch script): https://github.com/jruby/jruby/pull/1860
source="https://s3.amazonaws.com/jruby.org/downloads/$pkgver/$pkgname-bin-$pkgver.tar.gz
jruby"
@@ -26,23 +32,16 @@ _rubydir="$_destdir/lib/ruby"
_gemdir="$_rubydir/gems/shared"
_stdlibdir="$_rubydir/stdlib"
-case "$CARCH" in
-arm*) _arch=arm;;
-x86) _arch=i386;;
-*) _arch="$CARCH";;
-esac
-
prepare() {
- cd "$builddir/bin"
+ cd "$builddir"/bin
rm *.bat *.dll *.exe
- rm jirb_swing jruby jruby+truffle jruby200.sh jruby.*
+ rm jirb_swing jruby jruby200.sh jruby.*
- cd "$builddir/lib/ruby/stdlib"
+ cd "$builddir"/lib/ruby/stdlib
rm -r win32 Win32API.rb
- find ./ffi/platform -type d -mindepth 1 ! -name "$_arch-linux" -exec rm -r {} +
# Remove useless native binaries from JARs.
- zip -qd jline/jline/*/jline-*.jar META-INF/native/*
+ zip -qd jline/jline/*/jline-*.jar META-INF/native/* || return 1
zip -qd "$builddir"/lib/jruby.jar jni/*
}
@@ -69,8 +68,15 @@ package() {
install -m644 -D COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
+did_you_mean() {
+ pkgdesc="Did you mean? experience in JRuby"
+ depends="$pkgname"
+
+ _mvgem did_you_mean
+}
+
irb() {
- pkgdesc="Interactive Ruby console"
+ pkgdesc="Interactive JRuby console"
depends="$pkgname $pkgname-readline"
_mvgem irb
@@ -84,6 +90,20 @@ minitest() {
_mvgem minitest
}
+net_telnet() {
+ pkgdesc="Telnet client functionality for JRuby"
+ depends="$pkgname"
+
+ _mvgem net-telnet
+}
+
+power_assert() {
+ pkgdesc="Power Assert for JRuby"
+ depends="$pkgname"
+
+ _mvgem power_assert
+}
+
rake() {
pkgdesc="Ruby based make-like utility."
depends="$pkgname"
@@ -108,9 +128,9 @@ readline() {
mv "$pkgdir"$_stdlibdir/readline* "$subpkgdir"$_stdlibdir/
}
-testunit() {
- pkgdesc="Legacy xUnit family unit testing framework for Ruby."
- depends="$pkgname"
+test_unit() {
+ pkgdesc="Legacy xUnit family unit testing framework for JRuby"
+ depends="$pkgname $pkgname-power_assert"
_mvgem test-unit || return 1
_mv $_stdlibdir/test $_bindir/testrb
@@ -145,9 +165,5 @@ _mvgem() {
done
}
-md5sums="749bb917dde9666e365e12bbe776a5c2 jruby-bin-9.1.2.0.tar.gz
-88df7ddd5bcd2ecec3ad526c6efd884d jruby"
-sha256sums="60598a465883ab4c933f805de4a7f280052bddc793b95735465619c03ca43f35 jruby-bin-9.1.2.0.tar.gz
-0585f49f8712c3fea68ab3dca2b3939f6fe9a1a940cbdd3fc8462e25fd312cb1 jruby"
-sha512sums="cc6b1e1a2907c128dd04edf9da11933a54bbed5e861ab6f0208505bca5aa2aa9d9acdd04bfde65824346fbb435584081fc8ec2e2e9a3aeea1bef8047915e0c61 jruby-bin-9.1.2.0.tar.gz
+sha512sums="f2569d4858a33280e90d984aac53662c25ef057ef9903bace6a2214aa2e6a537c9bc8fc76b08f846b3093cc4a12c70c98d725576a4ac771e640b95cfe3697c7d jruby-bin-9.1.7.0.tar.gz
f2906a0136f437eaa119eae26d93b1a8e3411bc4ccee9453debf7a5d57bce767100b36a660db42184fd8398ff258455c3f2a8ef1082c907285b48d1b9b218bc2 jruby"